import { jsx } from "react/jsx-runtime";
import { ChatCircle as ChatCircle$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ChatCircle = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ChatCircle", ...props, children: /* @__PURE__ */ jsx(ChatCircle$1, { weight: variant }) });
  }
);
ChatCircle.displayName = "ChatCircle";
Object.assign(ChatCircle, { isGdsIcon: true });
export {
  ChatCircle
};
